Page MenuHomePhabricator

Extract components from VectorTemplate to Mustache files
Closed, ResolvedPublic5 Estimated Story Points

Description

Move inline HTML from VectorTemplate.php to distinct Mustache files.

Acceptance criteria
  • Isolate HTML from renderVariantsComponent() to VariantList.mustache. (VectorMenu)
  • Isolate HTML from renderActionsComponent() to PageActionMenu.mustache. (VectorTabs)
  • Isolate HTML from renderPersonalComponent() to UserMenu.mustache. (PersonalMenu)
  • Add QA steps
QA

Visit 2 random pages on desktop site as a logged in user on https://en.wikipedia.beta.wmflabs.org/

QA Results

Event Timeline

ovasileva triaged this task as Medium priority.Dec 10 2019, 1:39 PM

Change 562829 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/Vector@master] Extract VectorMenu.mustache component from VectorTemplate

https://gerrit.wikimedia.org/r/562829

Change 563155 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/Vector@master] Extract PersonalMenu,mustache component from VectorTemplate

https://gerrit.wikimedia.org/r/563155

Change 563155 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Extract PersonalMenu,mustache component from VectorTemplate

https://gerrit.wikimedia.org/r/563155

ovasileva raised the priority of this task from Medium to High.Jan 10 2020, 12:02 PM

Change 563429 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/Vector@master] Fix uerlangattributes echoing output from PersonalMenu component

https://gerrit.wikimedia.org/r/563429

Change 563429 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Fix uerlangattributes echoing output from PersonalMenu component

https://gerrit.wikimedia.org/r/563429

Change 563466 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/Vector@master] Extract Portal mustache component from VectorTemplate.php

https://gerrit.wikimedia.org/r/563466

Jdlrobson added a subscriber: Jdlrobson.

Analysis has turned to development which is okay - we're making good progress there! Let's have a quick chat about this on Monday for an estimate but keep going!

ovasileva set the point value for this task to 5.Jan 13 2020, 6:15 PM

Change 562829 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Extract VectorMenu.mustache component from VectorTemplate

https://gerrit.wikimedia.org/r/562829

Change 565396 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] Dev: Include closed body and html tags in getTrail

https://gerrit.wikimedia.org/r/565396

Change 565397 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] Dev: Break Footer out into template

https://gerrit.wikimedia.org/r/565397

Change 565396 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Dev: Include closed body and html tags in getTrail

https://gerrit.wikimedia.org/r/565396

Change 565397 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Dev: Break Footer out into template

https://gerrit.wikimedia.org/r/565397

Change 567012 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/Vector@master] Deprecation: Deprecate Vector specific hooks

https://gerrit.wikimedia.org/r/567012

Change 567012 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Deprecation: Deprecate Vector specific hooks

https://gerrit.wikimedia.org/r/567012

Change 564754 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Dev: Complete initial porting of Vector to Mustache

https://gerrit.wikimedia.org/r/564754

@Jdlrobson can you add QA steps and move it to needs QA?

Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: na

Test Artifact(s):

QA Steps

Visit 2 random pages on desktop site as a logged in user on https://en.wikipedia.beta.wmflabs.org/

✅ AC1: Verify footer contains " This page was last edited..."
✅ AC2: Verify footer contains "Text is available under the Creative Commons Attribution-ShareAlike License...".
✅ AC3: Verify footer contains a mobile view link
✅ AC4: Verify sidebar contains interaction, tools, print/export and languages
✅ AC5: verify "move" is available in "more" menu
✅ AC6: verify search shows autocomplete results

✅ AC7: Verify variant drop down menu shows on https://zh.wikipedia.beta.wmflabs.org/wiki/%E9%A6%96%E9%A1%B5 to right of discussion tab.

❓ AC8: Verify Echo notifications shows up in top right
@Jdlrobson I'm not sure if this criteria should be executed on the link in AC7 or the two random pages. Additionally, the only thing that shows up in the top right is log out. I'm assuming the Echo notifications are just the notifications that show up to the right of the logged in user name.

✅ AC9: Verify ULS displays when clicking on language cog on https://en.wikipedia.beta.wmflabs.org/wiki/Selenium_language_test_page
✅ AC10: Verify "add link" displays under list of languages on https://en.wikipedia.beta.wmflabs.org/wiki/Selenium_language_test_page

✅ AC11: logout and verify UI is more or less the same with the exception of the personal menu in the top right.
The only changes appear to be related to personal menu items (which I assume you meant): notifications, preferences, beta, watchlist, and log out instead of log in.

❓ AC8: Verify Echo notifications shows up in top right
@Jdlrobson I'm not sure if this criteria should be executed on the link in AC7 or the two random pages. Additionally, the only thing that shows up in the top right is log out. I'm assuming the Echo notifications are just the notifications that show up to the right of the logged in user name.

LGTM! ✅